models/Cita.php
<?php

namespace app\models;

use Yii;


/**
 * This is the model class for table "cita".
 *
 * @property int $cit_codigo
 * @property string $cit_fecha
 * @property string $cit_estado
 * @property string $cit_fecha_creac
 * @property int $cit_del
 * @property int $pac_codigo
 * @property int $vac_codigo
 * @property int $id
 *
 * @property Vacuna $vacCodigo
 * @property Paciente $pacCodigo
 * @property Usuario $id0
 */
class Cita extends \yii\db\ActiveRecord
{
    /**
     * {@inheritdoc}
     */
    public static function tableName()
    {
        return 'cita';
    }

    /**
     * {@inheritdoc}
     */
    public function rules()
    {
        return [
            [['cit_fecha', 'cit_estado', 'cit_fecha_creac','cit_hora', 'pac_codigo', 'vac_codigo', 'id'], 'required'],
               [['cit_fecha', 'cit_fecha_creac', 'cit_hora'], 'safe'],
            [['pac_codigo', 'vac_codigo', 'id'], 'integer'],
            [['cit_estado'], 'string', 'max' => 15],
            [['vac_codigo'], 'exist', 'skipOnError' => true, 'targetClass' => Vacuna::className(), 'targetAttribute' => ['vac_codigo' => 'vac_codigo']],
            [['pac_codigo'], 'exist', 'skipOnError' => true, 'targetClass' => Paciente::className(), 'targetAttribute' => ['pac_codigo' => 'pac_codigo']],
            [['id'], 'exist', 'skipOnError' => true, 'targetClass' => Usuario::className(), 'targetAttribute' => ['id' => 'id']],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function attributeLabels()
    {
        return [
           'cit_codigo' => 'Codigo',
            'cit_fecha' => 'Fecha de la cita',
            'cit_estado' => 'Estado',
            'cit_fecha_creac' => 'Fecha Creación',
            'cit_hora' => 'Hora',
            'cit_del' => 'Borrado',
            'pac_codigo' => 'Paciente',
            'vac_codigo' => 'Vacuna',
            'id' => 'id:',
        ];
    }

    /**
     * @return \yii\db\ActiveQuery
     */
	
	
    public function getVacCodigo()
    {
        return $this->hasOne(Vacuna::className(), ['vac_codigo' => 'vac_codigo']);
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getPacCodigo()
    {
        return $this->hasOne(Paciente::className(), ['pac_codigo' => 'pac_codigo']);
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getId0()
    {
        return $this->hasOne(Usuario::className(), ['id' => 'id']);
    }
}

controllers/CitaController.php
<?php

namespace app\controllers;

use Yii;
use app\models\Cita;
use app\models\CitaSearch;
use yii\web\Controller;
use yii\web\NotFoundHttpException;
use yii\filters\VerbFilter;

use kartik\mpdf\Pdf;

$citas=Cita::find()->all();

/**
 * CitaController implements the CRUD actions for Cita model.
 */
class CitaController extends Controller
{
    /**
     * {@inheritdoc}
     */
    public function behaviors()
    {
        return [
            'verbs' => [
                'class' => VerbFilter::className(),
                'actions' => [
                    'delete' => ['POST'],
                ],
            ],
        ];
    }

    /**
     * Lists all Cita models.
     * @return mixed
     */
    public function actionIndex()
    {
        $searchModel = new CitaSearch();
        $dataProvider = $searchModel->search(Yii::$app->request->queryParams);

        return $this->render('index', [
            'searchModel' => $searchModel,
            'dataProvider' => $dataProvider,
        ]);
    }
	
	public function actionIndexpdf()
    {
		return $this->render('indexpdf');
    }
	
	public function actionIndexpdf2()
    {
		return $this->render('indexpdf2');
    }

	public function actionIndexpdf3()
    {
		return $this->render('indexpdf3');
    }
    /**
     * Displays a single Cita model.
     * @param integer $id
     * @return mixed
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionView($id)
    {
        return $this->render('view', [
            'model' => $this->findModel($id),
        ]);
    }
	
	public function actionViewpdf($id)
    {
        return $this->render('viewpdf', [
            'model' => $this->findModel($id),
        ]);
		
    }
    /**
     * Creates a new Cita model.
     * If creation is successful, the browser will be redirected to the 'view' page.
     * @return mixed
     */
    public function actionCreate()
    {
		$session = Yii::$app->session;
		$citas=Cita::find()->all();
        $model = new Cita();
		$model->cit_fecha_creac=date('Y-m-d');
		$model->id=Yii::$app->user->identity->id;
		$model->cit_estado='Pendiente';
       
		if ($model->load(Yii::$app->request->post()) && $model->save()) {
			$model->cit_del=$model->cit_fecha.$model->cit_hora;
			$model->save();
			
			for($i=0;$i<sizeof($citas);$i++){
				if($model->cit_del==$citas[$i]->cit_del){
					$session->set('hay_cit',1);
					$this->findModel($model->cit_codigo)->delete();
					return $this->render('create', [
						'model' => $model,
					]);
				}
			}
			

			
            return $this->redirect(['/cita/']);
        }

        return $this->render('create', [
            'model' => $model,
        ]);
    }
	
	 public function actionList()
    {
        return $this->render('list');
    }

    /**
     * Updates an existing Cita model.
     * If update is successful, the browser will be redirected to the 'view' page.
     * @param integer $id
     * @return mixed
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionUpdate($id)
    {
        $model = $this->findModel($id);

        if ($model->load(Yii::$app->request->post()) && $model->save()) {
            return $this->redirect(['/cita/']);
        }

        return $this->render('update', [
            'model' => $model,
        ]);
    }

    /**
     * Deletes an existing Cita model.
     * If deletion is successful, the browser will be redirected to the 'index' page.
     * @param integer $id
     * @return mixed
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionDelete($id)
    {
        $this->findModel($id)->delete();

        return $this->redirect(['index']);
    }

    /**
     * Finds the Cita model based on its primary key value.
     * If the model is not found, a 404 HTTP exception will be thrown.
     * @param integer $id
     * @return Cita the loaded model
     * @throws NotFoundHttpException if the model cannot be found
     */
    protected function findModel($id)
    {
        if (($model = Cita::findOne($id)) !== null) {
            return $model;
        }

        throw new NotFoundHttpException('The requested page does not exist.');
    }
	
	public function actionMpdfDemo1() {
    $pdf = new Pdf([
        'mode' => Pdf::MODE_CORE, // leaner size using standard fonts
        'content' => $this->renderPartial('privacy'),
        'options' => [
            'title' => 'Privacy Policy - Krajee.com',
            'subject' => 'Generating PDF files via yii2-mpdf extension has never been easy'
        ],
        'methods' => [
            'SetHeader' => ['Generated By: Krajee Pdf Component||Generated On: ' . date("r")],
            'SetFooter' => ['|Page {PAGENO}|'],
        ]
    ]);
    return $pdf->render();
}
}

controllers/PacienteController.php
<?php

namespace app\controllers;

use Yii;
use app\models\Paciente;
use app\models\PacienteSearch;
use yii\web\Controller;
use yii\web\NotFoundHttpException;
use yii\filters\VerbFilter;
use yii\bootstrap\Alert;
use Mpdf\Mpdf;
use kartik\mpdf\Pdf;
/**
 * PacienteController implements the CRUD actions for Paciente model.
 */
class PacienteController extends Controller
{
    /**
     * {@inheritdoc}
     */
    public function behaviors()
    {
        return [
            'verbs' => [
                'class' => VerbFilter::className(),
                'actions' => [
                    'delete' => ['POST'],
                ],
            ],
        ];
    }

    /**
     * Lists all Paciente models.
     * @return mixed
     */
    public function actionIndex()
    {
        $searchModel = new PacienteSearch();
        $dataProvider = $searchModel->search(Yii::$app->request->queryParams);

        return $this->render('index', [
            'searchModel' => $searchModel,
            'dataProvider' => $dataProvider,
        ]);
    }
	
	public function actionIndexpdf()
    {
        $searchModel = new PacienteSearch();
        $dataProvider = $searchModel->search(Yii::$app->request->queryParams);

        return $this->render('indexpdf', [
            'searchModel' => $searchModel,
            'dataProvider' => $dataProvider,
        ]);
    }
	
	

    /**
     * Displays a single Paciente model.
     * @param integer $id
     * @return mixed
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionView($id)
    {
        return $this->render('view', [
            'model' => $this->findModel($id),
        ]);
    }
    public function actionViewpdf($id)
    {
        return $this->render('viewpdf', [
            'model' => $this->findModel($id),
        ]);
		
    }
	
	public function actionViewpdf2($id)
    {
        return $this->render('viewpdf2', [
            'model' => $this->findModel($id),
        ]);
		
    }
    /**
     * Creates a new Paciente model.
     * If creation is successful, the browser will be redirected to the 'view' page.
     * @return mixed
     */
	 
	  public function actionList()
    {
        return $this->render('list');
    }
	
    public function actionCreate()
    {
        $model = new Paciente();
		$model->pac_del=0;
        if ($model->load(Yii::$app->request->post()) && $model->save()) {
			if(!$model->pac_del){
			$model->pac_nombre_resp=$model->pac_nombre;
			$model->save();	
			}
            return $this->redirect(['/cita/create/']);
        }

        return $this->render('create', [
            'model' => $model,
        ]);
    }

    /**
     * Updates an existing Paciente model.
     * If update is successful, the browser will be redirected to the 'view' page.
     * @param integer $id
     * @return mixed
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionUpdate($id)
    {
        $model = $this->findModel($id);

        if ($model->load(Yii::$app->request->post()) && $model->save()) {
            return $this->redirect(['/paciente/']);
        }

        return $this->render('update', [
            'model' => $model,
        ]);
    }

    /**
     * Deletes an existing Paciente model.
     * If deletion is successful, the browser will be redirected to the 'index' page.
     * @param integer $id
     * @return mixed
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionDelete($id)
    {
        $this->findModel($id)->delete();

        return $this->redirect(['index']);
    }

    /**
     * Finds the Paciente model based on its primary key value.
     * If the model is not found, a 404 HTTP exception will be thrown.
     * @param integer $id
     * @return Paciente the loaded model
     * @throws NotFoundHttpException if the model cannot be found
     */
    protected function findModel($id)
    {
        if (($model = Paciente::findOne($id)) !== null) {
            return $model;
        }

        throw new NotFoundHttpException('The requested page does not exist.');
    }
}

views/cita/_form.php
<?php

use yii\helpers\Html;
use yii\helpers\ArrayHelper;
use yii\widgets\ActiveForm;
use kartik\widgets\DatePicker;
use kartik\widgets\TimePicker;
use app\models\Paciente;
use app\models\Vacuna;

/* @var $this yii\web\View */
/* @var $model app\models\Cita */
/* @var $form yii\widgets\ActiveForm */

$estados=['Pendiente' =>'Pendiente','Realizada' =>'Realizada','No realizada' =>'No realizada'];

$pacientes=ArrayHelper::map(Paciente::find()->All(), 'pac_codigo', 'pac_nombre');
$vacunas=ArrayHelper::map(Vacuna::find()->All(), 'vac_codigo', 'vac_nombre');

?>

<div class="cita-form">

    <?php $form = ActiveForm::begin(); ?>

     <?= $form->field($model, 'cit_fecha')->widget(DatePicker::classname(), [
					'options' => ['placeholder' => $model->cit_fecha],
					'readonly' => true,
					'pluginOptions' => [
						'autoclose'=>true,
						'format' => 'yyyy-mm-dd',
						'startDate' => date('Y-m-d')
					 ]]) ?>

    <?= $form->field($model, 'cit_estado')->dropDownList($estados, 
             ['placeholder' => $model->cit_estado,
              'onchange'=>'
                $.post( "'.Yii::$app->urlManager->createUrl('post/lists?id=').'"+$(this).val(), function( data ) {
                  $( "select#title" ).html( data );
                });
            '])
	?>

    
	
	 <?= $form->field($model, 'cit_hora')->widget(TimePicker::classname(),[
				'name' => 't1',
				'readonly' => true,
				'pluginOptions' => [
					'showMeridian' => false,
					
				]]) ?>		

    

    <?= $form->field($model, 'pac_codigo')->dropDownList($pacientes, 
						 ['prompt'=>'-Seleccione un Paciente-',
						  'onchange'=>'
							$.post( "'.Yii::$app->urlManager->createUrl('post/lists?id=').'"+$(this).val(), function( data ) {
							  $( "select#title" ).html( data );
							});
						'])
				?>

    <?= $form->field($model, 'vac_codigo')->dropDownList($vacunas, 
						 ['prompt'=>'-Seleccione una Vacuna-',
						  'onchange'=>'
							$.post( "'.Yii::$app->urlManager->createUrl('post/lists?id=').'"+$(this).val(), function( data ) {
							  $( "select#title" ).html( data );
							});
						'])
				?>

    
<?= $form->field($model, 'cit_del')->hiddenInput()->label(false) ?>
    <div class="form-group">
        <?= Html::submitButton('Guardar', ['class' => 'btn btn-success col-xs-12']) ?>
    </div>

    <?php ActiveForm::end(); ?>

</div>

views/cita/_form_create.php
<?php

use yii\helpers\Html;
use yii\helpers\ArrayHelper;
use yii\widgets\ActiveForm;
use kartik\widgets\DatePicker;
use kartik\widgets\TimePicker;
use app\models\Paciente;
use app\models\Vacuna;


$pacientes=ArrayHelper::map(Paciente::find()->All(), 'pac_codigo', 'pac_nombre');
$vacunas=ArrayHelper::map(Vacuna::find()->All(), 'vac_codigo', 'vac_nombre');





/* @var $this yii\web\View */
/* @var $model app\models\Cita */
/* @var $form yii\widgets\ActiveForm */

?>

<div class="cita-form">

    <?php $form = ActiveForm::begin(["action"=>$_SERVER['SCRIPT_NAME'].'/cita/create']); ?>

    <div class="panel panel-primary">
		<div class="panel-body" >
			<div class="col-xs-9 form-horizontal" style="width: 40%" >
				<?= $form->field($model, 'pac_codigo')->dropDownList($pacientes, 
						 ['prompt'=>'-Seleccione un Paciente-',
						  'onchange'=>'
							$.post( "'.Yii::$app->urlManager->createUrl('post/lists?id=').'"+$(this).val(), function( data ) {
							  $( "select#title" ).html( data );
							});
						'])
				?>
				
				<?= $form->field($model, 'cit_fecha')->widget(DatePicker::classname(), [
					'options' => ['placeholder' => 'Elija la fecha de la cita','value' =>date('Y-m-d') ],
					'readonly' => true,
					'pluginOptions' => [
						'autoclose'=>true,
						'format' => 'yyyy-mm-dd',
						'startDate' => date('Y-m-d')
					 ]]) ?>
				
			</div>
			<div class="col-xs-9 form-horizontal" style="width: 10%" >
			</div>
			<div class="col-xs-9 form-horizontal"style="width: 40%" >
				<?= $form->field($model, 'vac_codigo')->dropDownList($vacunas, 
						 ['prompt'=>'-Seleccione una Vacuna-',
						  'onchange'=>'
							$.post( "'.Yii::$app->urlManager->createUrl('post/lists?id=').'"+$(this).val(), function( data ) {
							  $( "select#title" ).html( data );
							});
						'])
				?>
				<?= $form->field($model, 'cit_hora')->widget(TimePicker::classname(),[
				'name' => 't1',
				'readonly' => true,
				'pluginOptions' => [
					'showMeridian' => false,
					
				]]) ?>	
			</div>		
		</div>		
	</div>
	<div class="col-lg-12">
		<div class="row">
			<?= Html::a("<i class='glyphicon glyphicon-chevron-left'></i>",
				Yii::$app->homeUrl,['class'=>'btn btn-primary col-xs-5', 'style' => 'margin-bottom: 10px']) ?>
			<div class="spacer col-xs-2"></div>		
			
			<?= Html::submitButton('Ingresar', ['class' => 'btn btn-success col-xs-5', 'style' => 'margin-bottom: 10px']) ?>	
			
		</div>
	</div>
    <?php ActiveForm::end(); ?>

</div>

views/cita/_search.php
<?php

use yii\helpers\Html;
use yii\widgets\ActiveForm;

/* @var $this yii\web\View */
/* @var $model app\models\CitaSearch */
/* @var $form yii\widgets\ActiveForm */
?>

<div class="cita-search">

    <?php $form = ActiveForm::begin([
        'action' => ['index'],
        'method' => 'get',
    ]); ?>

    <?= $form->field($model, 'cit_codigo') ?>

    <?= $form->field($model, 'cit_fecha') ?>

    <?= $form->field($model, 'cit_estado') ?>

    <?= $form->field($model, 'cit_fecha_creac') ?>

    <?= $form->field($model, 'cit_hora') ?>

    <?php // echo $form->field($model, 'cit_del') ?>

    <?php // echo $form->field($model, 'pac_codigo') ?>

    <?php // echo $form->field($model, 'vac_codigo') ?>

    <?php // echo $form->field($model, 'id') ?>

    <div class="form-group">
        <?= Html::submitButton('Search', ['class' => 'btn btn-primary']) ?>
        <?= Html::resetButton('Reset', ['class' => 'btn btn-default']) ?>
    </div>

    <?php ActiveForm::end(); ?>

</div>

views/cita/create.php
<?php

use yii\helpers\Html;


/* @var $this yii\web\View */
/* @var $model app\models\Cita */
echo Html::a('Ingresar Paciente', ['/paciente/create'],[''=>'','class'=>'btn btn-primary','style'=>'display: block']);
$this->title = 'Ingresar Cita';
if(Yii::$app->user->isGuest){
  if (!empty($_SERVER['HTTPS']) && ('on' == $_SERVER['HTTPS'])) {
		$uri = 'https://';
	} else {
		$uri = 'http://';
	}
	$uri .= $_SERVER['HTTP_HOST'];
	header('Location: '.$uri.'/vacunatorio/web/index.php/site/login');
	exit; 
	}
	$session = Yii::$app->session;
	if($session->get('pacient')){ ?>
		<script>alert("Paciente creado correctamente"); </script>
		<?php 
			$session->set('pacient',0);
		} 
		$session->set('cita',1);
		
		if($session->get('hay_cit')){ ?>
		<script>alert("Ya existe una cita agendada a esta hora el mismo día"); </script>
		<?php 
			$session->set('hay_cit',0);
		} 
		?>
		

<div class="cita-create">

    <h1><?= Html::encode($this->title) ?></h1>
	
    <?= $this->render('_form_create', [
        'model' => $model,
    ]) ?>

</div>

views/cita/index.php
<?php

use yii\helpers\Html;
use yii\grid\GridView;

/* @var $this yii\web\View */
/* @var $searchModel app\models\CitaSearch */
/* @var $dataProvider yii\data\ActiveDataProvider */
if(Yii::$app->user->identity->usu_tipo=='Administrador/a'){
?>
<?= Html::a("Generar Informe de Citas por Mes",['/cita/indexpdf'],['class'=>'btn btn-primary col-xs-4', 'style' => 'margin-bottom: 10px; background-color:orange;color:black;']) ?>

<?= Html::a("Generar Informe de Citas por Pacientes",['/cita/indexpdf2'],['class'=>'btn btn-primary col-xs-4', 'style' => 'margin-bottom: 10px; background-color:orange;color:black;']) ?>

<?= Html::a("Generar Informe de Citas por Vacunas",['/cita/indexpdf3'],['class'=>'btn btn-primary col-xs-4', 'style' => 'margin-bottom: 10px; background-color:orange;color:black;']) ?>
				<?php
}
$this->title = 'Citas';
if(Yii::$app->user->isGuest){
  if (!empty($_SERVER['HTTPS']) && ('on' == $_SERVER['HTTPS'])) {
		$uri = 'https://';
	} else {
		$uri = 'http://';
	}
	$uri .= $_SERVER['HTTP_HOST'];
	header('Location: '.$uri.'/vacunatorio/web/index.php/site/login');
	exit; 
	}
	
	$session = Yii::$app->session;
	if($session->get('cita')){ ?>
		<script>alert("Cita creada correctamente"); </script>
		<?php 
			$session->set('cita',0);
		} ?>

</br>
<div class="cita-index">

    <h1><?= Html::encode($this->title) ?></h1>
    <?php // echo $this->render('_search', ['model' => $searchModel]); ?>
	
	
    <?= GridView::widget([
        'dataProvider' => $dataProvider,
        'filterModel' => $searchModel,
        'columns' => [
            ['class' => 'yii\grid\SerialColumn'],

            //'cit_codigo',
            'cit_fecha',
            'cit_estado',
            //'cit_fecha_creac',
            'cit_hora',
            //'cit_del',
            //'pac_codigo',
            //'vac_codigo',
            //'id',

            ['class' => 'yii\grid\ActionColumn'],
        ],
    ]); ?>
</div>
<?= Html::a("<i class='glyphicon glyphicon-chevron-left'></i>",
				Yii::$app->homeUrl,['class'=>'btn btn-primary col-xs-12', 'style' => 'margin-bottom: 10px']) ?>

views/cita/indexpdf.php
<?php

use yii\helpers\Html;
use yii\grid\GridView;
use Mpdf\Mpdf;
use app\models\Paciente;
use app\models\Vacuna;
use app\models\Cita;

/* @var $this yii\web\View */
/* @var $searchModel app\models\CitaSearch */
/* @var $dataProvider yii\data\ActiveDataProvider */

$citas=Cita::find()->orderby("cit_fecha")->all();

$this->title = 'Citas';
if(Yii::$app->user->isGuest){
  if (!empty($_SERVER['HTTPS']) && ('on' == $_SERVER['HTTPS'])) {
		$uri = 'https://';
	} else {
		$uri = 'http://';
	}
	$uri .= $_SERVER['HTTP_HOST'];
	header('Location: '.$uri.'/vacunatorio/web/index.php/site/login');
	exit; 
	}
	
	$session = Yii::$app->session;
	if($session->get('cita')){ ?>
		<script>alert("Cita creada correctamente"); </script>
		<?php 
			$session->set('cita',0);
		} 
		$mpdf = new \Mpdf\Mpdf();
		ob_start();
		?>

</br>
<div class="cita-index">

    <h1><?= Html::encode($this->title) ?></h1>	
   <table class="table">
    <thead>
      <tr>
        <th>Fecha de la Cita </th>
        <th>Hora de la Cita </th>
        <th>Nombre del Paciente</th>
		<th>Rut del Paciente</th>
        <th>Celular del Paciente</th>
        <th>Vacuna</th>		
      </tr>
    </thead>
    <tbody>
	<?php for($i=0;$i<sizeof($citas);$i++){
		$m1=0;$m2=0;
		
	$m1=intval(substr($citas[$i]->cit_fecha, 5, -3));
	if($i>0){
	$m2=intval(substr($citas[$i-1]->cit_fecha, 5, -3));
	}
	if($m1!=$m2){
		?>
		<tr>
		<td>
		-
		</td>
		</tr>
		<tr>
		<td>
		<?php
		switch ($m1) {
    case 1:
        echo "<b>Enero:</b>";
        break;
    case 2:
        echo "<b>Febrero:</b>";
        break;
    case 3:
        echo "<b>Marzo:</b>";
        break;
    case 4:
        echo "<b>Abril:</b>";
        break;
    case 5:
        echo "<b>Mayo:</b>";
        break;
    case 6:
        echo "<b>Junio:</b>";
        break;
    case 7:
        echo "<b>Julio:</b>";
        break;
    case 8:
        echo "<b>Agosto:</b>";
        break;
    case 9:
        echo "<b>Septiembre:</b>";
        break;
    case 10:
        echo "<b>Octubre:</b>";
        break;
    case 11:
        echo "<b>Noviembre:</b>";
        break;
    case 12:
        echo "<b>Diciembre:</b>";
        break;
 
}
		?>
		</td>
		</tr>
		<?php
	}
	
		$paciente=Paciente::find()->where('pac_codigo='.$citas[$i]->pac_codigo)->one();
		$vacuna=Vacuna::find()->where('vac_codigo='.$citas[$i]->vac_codigo)->one();
	?>
      <tr>
        <td><?= $citas[$i]->cit_fecha ?></td>
        <td><?= $citas[$i]->cit_hora ?></td>
        <td><?= $paciente->pac_nombre ?></td>
        <td><?= $paciente->pac_rut ?></td>
        <td><?= $paciente->pac_telefono ?></td>
        <td><?= $vacuna->vac_nombre ?></td>
      </tr>
	<?php } ?>
    </tbody>
  </table>
	

	
	
	<?php
$html = ob_get_contents();
ob_end_clean();
$mpdf->WriteHTML($html);
$mpdf->Output();
exit;
?>
</div>
<?= Html::a("<i class='glyphicon glyphicon-chevron-left'></i>",
				Yii::$app->homeUrl,['class'=>'btn btn-primary col-xs-12', 'style' => 'margin-bottom: 10px']) ?>

views/cita/list.php
<?php

use yii\helpers\Html;
use yii\widgets\ActiveForm;
use app\models\Cita;

$citas=Cita::find()->all();

/* @var $this yii\web\View */
/* @var $model app\models\Cita */
/* @var $form yii\widgets\ActiveForm */
if(Yii::$app->user->isGuest){
  if (!empty($_SERVER['HTTPS']) && ('on' == $_SERVER['HTTPS'])) {
		$uri = 'https://';
	} else {
		$uri = 'http://';
	}
	$uri .= $_SERVER['HTTP_HOST'];
	header('Location: '.$uri.'/vacunatorio/web/index.php/site/login');
	exit; 
	}
?>

<div class="cita-form">

	 

</div>

views/cita/update.php
<?php

use yii\helpers\Html;

/* @var $this yii\web\View */
/* @var $model app\models\Cita */

$this->title = 'Editar Cita';
if(Yii::$app->user->isGuest){
  if (!empty($_SERVER['HTTPS']) && ('on' == $_SERVER['HTTPS'])) {
		$uri = 'https://';
	} else {
		$uri = 'http://';
	}
	$uri .= $_SERVER['HTTP_HOST'];
	header('Location: '.$uri.'/vacunatorio/web/index.php/site/login');
	exit; 
	}
?>
</br>

<div class="cita-update">

    <h1><?= Html::encode($this->title) ?></h1>
	<div class="panel panel-primary">
		<div class="panel-body" >
			<?= $this->render('_form', [
				'model' => $model,
			]) ?>	
		</div>		
	</div>
</div>

<?= Html::a("<i class='glyphicon glyphicon-chevron-left'></i>", ['/cita/'],['class'=>'btn btn-primary	col-xs-12']) ?>